Bug 979179 - Postgis 2.0 ships static libraries [NEEDINFO]
Postgis 2.0 ships static libraries
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: postgis (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jozef Mlich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 16:33 EDT by Volker Fröhlich
Modified: 2015-08-02 19:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-26 10:53:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
volker27: needinfo? (devrim)


Attachments (Terms of Use)

  None (edit)
Description Volker Fröhlich 2013-06-27 16:33:22 EDT
I just noticed the 2.0 packages contain:

/usr/lib/liblwgeom.a
/usr/lib/liblwgeom.la
Comment 1 Orion Poplawski 2013-06-27 17:46:03 EDT
http://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_Static_Libraries

You need a -devel sub-package, and a -static if you want to keep the static library.

Also:

postgis.x86_64: W: undefined-non-weak-symbol /usr/lib64/liblwgeom-2.0.3.so lwgeom_init_allocators
postgis.x86_64: W: shared-lib-calls-exit /usr/lib64/liblwgeom-2.0.3.so exit@GLIBC_2.2.5
postgis.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/pgsql2shp ['/usr/lib64']
postgis.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/raster2pgsql ['/usr/lib64']
postgis.x86_64: W: spurious-executable-perm /usr/include/liblwgeom.h
postgis.x86_64: E: incorrect-fsf-address /usr/share/doc/postgis-2.0.3/COPYING
Comment 2 Orion Poplawski 2013-06-28 10:51:54 EDT
Also, I think shipping liblwgeom in a separate liblwgeom or postgis-lib sub-package would allow us to avoid a circular dependency on gdal.
Comment 3 Volker Fröhlich 2013-09-13 19:01:15 EDT
Please delete the two static files so we can close this ticket. The point Orion mentions here is a lot more critical though.
Comment 4 Fedora End Of Life 2013-09-16 12:45:02 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 5 Volker Fröhlich 2014-03-23 18:51:26 EDT
Please address this issue. At least the static library part is really easy.
Comment 6 Jozef Mlich 2014-06-26 10:53:26 EDT
Thanks for reporting. I have removed static libraries from package. The shared libraries seems to be sufficient. 

Change of the liblwgeom into separate package seems to be reasonable. In contrary, it seems to be integral part of postgis.

Note You need to log in before you can comment on or make changes to this bug.